Package org.drinkless.tdlib

# Class TdApi.TonTransactionTypeFragmentDeposit

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TonTransactionType
org.drinkless.tdlib.TdApi.TonTransactionTypeFragmentDeposit

Enclosing class:
  `TdApi`

public static class TdApi.TonTransactionTypeFragmentDeposit extends TdApi.TonTransactionType
The transaction is a deposit of Toncoins from Fragment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TonTransactionType

  `TdApi.TonTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isGift`
  True, if the transaction is a gift from another user.
  `TdApi.Sticker`
  `sticker`
  The sticker to be shown in the transaction information; may be null if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TonTransactionTypeFragmentDeposit()`
  The transaction is a deposit of Toncoins from Fragment.
  `TonTransactionTypeFragmentDeposit(boolean isGift, TdApi.Sticker sticker)`
  The transaction is a deposit of Toncoins from Fragment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isGift

    public boolean isGift
    True, if the transaction is a gift from another user.

  - ### sticker

    @Nullable public TdApi.Sticker sticker
    The sticker to be shown in the transaction information; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TonTransactionTypeFragmentDeposit

    public TonTransactionTypeFragmentDeposit()
    The transaction is a deposit of Toncoins from Fragment.

  - ### TonTransactionTypeFragmentDeposit

    public TonTransactionTypeFragmentDeposit(boolean isGift, TdApi.Sticker sticker)
    The transaction is a deposit of Toncoins from Fragment.
    Parameters:
      `isGift` - True, if the transaction is a gift from another user.
      `sticker` - The sticker to be shown in the transaction information; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TonTransactionType`
    Returns:
      this.CONSTRUCTOR